image: juristr/angular-ci-build:1.0.0
cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/

stages:
  - test
  - build

#unit-tests:
 # stage: test
  #script:
   # - "npm install"
    #- "npm run test:ci"
  #only:
   # - master
    #- develop
    #- merge-requests

sonarqube-master-job:
  stage: test
  only:
    - /^Feature\/*/
    - Develop
    - master
  script:
    - npm install -g sonarqube-scanner
    - sonar-scanner  -Dsonar.host.url=$SONAR_URL -Dsonar.login=$SONAR_LOGIN -Dsonar.password=$SONAR_PASSWORD -Dsonar.branch.name=$CI_COMMIT_REF_NAME -Dsonar.analysis.mode=publish -Dsonar.gitlab.commit_sha=$CI_COMMIT_SHA -Dsonar.gitlab.ref_name=$CI_COMMIT_REF_NAME -Dsonar.gitlab.project_id=$CI_PROJECT_ID

app-build:
  stage: build
  image: maven:3-jdk-8
  script:
    - mvn package
    - jar uvf target/ws-ihm-0.0.1-SNAPSHOT.war  WEB-INF
    - curl -T target/ws-ihm-0.0.1-SNAPSHOT.war -usyders:$BINTRAY_KEY  https://api.bintray.com/content/syders/webstation/ws-ihm/0.0.1/ws-ihm.war

  only:
    - master
    - Develop
    - merge-requests
